# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "pib-service-api"
version = "0.9.1"
authors = [
    "Politik im Blick developers",
    "Wolfgang Silbermayr <wolfgang@silbermayr.at>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "pib-service edit API"
documentation = "https://docs.rs/pib-service-api"
readme = false
license = "AGPL-3.0-or-later OR EUPL-1.2"
repository = "https://codeberg.org/pib/pib-service"

[lib]
name = "pib_service_api"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.axum]
version = "0.8.8"

[dependencies.bytes]
version = "1.11.1"

[dependencies.futures-core]
version = "0.3.32"

[dependencies.http]
version = "1.4.0"

[dependencies.http-body-util]
version = "0.1.3"

[dependencies.log]
version = "0.4.29"

[dependencies.openidconnect]
version = "4.0.1"
default-features = false

[dependencies.pib-service-api-types]
version = "0.9.1"

[dependencies.pib-service-inventory]
version = "0.9.1"

[dependencies.reqwest]
version = "0.13.2"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.snafu]
version = "0.9.0"

[dependencies.tokio]
version = "1.50.0"

[dependencies.tower]
version = "0.5.3"

[dependencies.tower-http]
version = "0.6.8"
features = [
    "auth",
    "cors",
]

[dependencies.tower-layer]
version = "0.3.3"

[dependencies.url]
version = "2.5.8"

[dependencies.uuid]
version = "1.22.0"
